org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder>
      implements JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `addAllTimerInstanceId(Iterable<? extends Long> values)` `repeated int64 timer_instance_id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `addTimerInstanceId(long value)` `repeated int64 timer_instance_id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `build()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `buildPartial()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `clear()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `clearTimerInstanceId()` `repeated int64 timer_instance_id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `clone()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getTimerInstanceId(int index)` `repeated int64 timer_instance_id = 1;`
    `int` | `getTimerInstanceIdCount()` `repeated int64 timer_instance_id = 1;`
    `List<Long>` | `getTimerInstanceIdList()` `repeated int64 timer_instance_id = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode other)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `setTimerInstanceId(int index, long value)` `repeated int64 timer_instance_id = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder>`

    - #### clear

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder>`

    - #### clone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                           throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder>`
      Throws:
        `IOException`

    - #### getTimerInstanceIdList

          public List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 1;`
      Specified by:
        `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder`

    - #### getTimerInstanceIdCount

          public int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 1;`
      Specified by:
        `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder`

    - #### getTimerInstanceId

          public long getTimerInstanceId(int index)

      `repeated int64 timer_instance_id = 1;`
      Specified by:
        `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder`

    - #### setTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder setTimerInstanceId(int index,
                                                                                                           long value)

      `repeated int64 timer_instance_id = 1;`

    - #### addTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder addTimerInstanceId(long value)

      `repeated int64 timer_instance_id = 1;`

    - #### addAllTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder addAllTimerInstanceId(Iterable<? extends Long> values)

      `repeated int64 timer_instance_id = 1;`

    - #### clearTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder clearTimerInstanceId()

      `repeated int64 timer_instance_id = 1;`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.